import { select, arc } from 'd3';

const svg = select('svg');
const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
	.attr('transform', `translate(${width / 2}, ${height / 2})`);


const circle = g.append('circle')
  .attr('r', height / 2)
  .attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRedius = 30;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYOffset = -60;

const eyesG = g
	.append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`)
    .attr('fill', 'black');

const leftEye = eyesG
	.append('circle')
    .attr('r', eyeRedius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
	.append('circle')
    .attr('r', eyeRedius)
    .attr('cx', eyeSpacing);

const eyesbrowG = eyesG
	.append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

	eyesbrowG.transition()
		.duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
	.transition()
		.duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyesbrowG
	.append('rect')
    .attr('x', -eyeSpacing - (eyebrowWidth/2))
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const RightEyebrow = eyesbrowG
	.append('rect')
    .attr('x', eyeSpacing - (eyebrowWidth/2))
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 130,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3/2
    }));


